<!-- -------------------- ./doc/content/auto-sign_content.html -------------------- -->

<script src="/pub/jsint/signastuff.js"></script>

<h2>Signature :</h2>

<div id="sign_div_step1">
	<div class="fr-stepper">
		<h3 class="fr-stepper__title"> <span class="fr-stepper__state">Étape 1 sur 2</span> Information du signataire</h3>
		<div class="fr-stepper__steps" data-fr-current-step="1" data-fr-steps="2"></div>
		<p class="fr-stepper__details"> <span class="fr-text--bold">Étape suivante :</span> Signature</p>
	</div>

	<form role="form">
		<input type="hidden" name="DID" id="DID" value="<?php echo $this->DOSINFO['did']; ?>">
		<!-- useless at the time <input type="hidden" id="jralcnt" value="XXphp echo count($this->DOSINFO['filelist']); XX"> -->

		<?php if ($this->SIGNINFOK == 1) : ?>
			<p>Vos informations de signature sont déjà connues, vous pouvez éventuellement les modifier.</p>
		<?php else : ?>
			<p>Fournir les informations nécéssaires à la signature.</p>
		<?php endif; ?>

		<div class="fr-input-group">
			<label for="SIGNNAM" class="fr-label">Nom Prénom (Entreprise):</label>
			<input type="text" class="fr-input" value="<?php echo $this->OWNNAME; ?>" name="SIGNNAM" id="signnam" placeholder="votre nom">
		</div>

		<div class="fr-input-group">
			<label for="SIGNMAIL" class="fr-label">Adresse email :</label>
			<input type="email" class="fr-input" value="<?php echo $this->OWNMAIL; ?>" name="SIGNMEL" id="signmel" placeholder="nom@quelquechose.fr">
		</div>

		<div class="fr-input-group">
			<label for="SIGNTEL" class="fr-label">Téléphone :</label>
			<input type="tel" class="fr-input" value="<?php echo $this->OWNPHONE; ?>" name="SIGNTEL" id="signtel" placeholder="06nnnnnnnn">
		</div>

		<?php if ($this->SIGNIMAGE != "") : ?>
			<p class="fr-label">Signature :</p>

			<div class="fr-input-group">
				<div class="fr-checkbox-group">
					<input type="checkbox" id="signimg" name="OWNIMAGE" checked>
					<label class="fr-label" for="signimg">
						Utiliser cette image pour la signature : </label>
				</div>
				<img src="<?php echo $this->SIGNIMAGE; ?>">
			</div>
		<?php endif; ?>

		<div class="fr-alert fr-alert--error" style="display: none" id="sign_div_err1">
			<h3 class="fr-alert__title">Erreur</h3>
			<p>Vous devez fournir votre nom , adresse email et téléphone </p>
		</div>

		<button class="fr-btn" type="button" onclick="SignAuto2('<?php echo $this->DOSINFO['did']; ?>')">Valider</button>
	</form>
</div>

<!-- final set oki -->
<div style="display: none" id="sign_div_oki">
	<div class="fr-stepper">
		<h3 class="fr-stepper__title"> <span class="fr-stepper__state">Étape 2 sur 2</span> Signature</h3>
		<div class="fr-stepper__steps" data-fr-current-step="2" data-fr-steps="2"></div>
	</div>

	<form id="sign_auto" method="post" role="form" action="<?php echo $this->URL->GetDosMethod("SignAuto2"); ?>">

		<input type="hidden" name="DID" id="DID" value="<?php echo $this->DOSINFO['did']; ?>">
		<input type="hidden" name="SIGNNAM" id="signnam2" value="">
		<input type="hidden" name="SIGNMEL" id="signmel2" value="">
		<input type="hidden" name="SIGNTEL" id="signtel2" value="">
		<input type="hidden" name="SIGNIMG" id="signimg2" value="">

		<p>
			Un SMS avec un code à usage unique vous a été envoyé. <br />
			Ce code sera valable pendant 15 minutes.
		</p>

		<div class="fr-input-group">
			<label class="fr-label" for="SIGNCODE">Code Secret :</label>
			<input type="text" class="fr-input" value="" name="SIGNCODE" id="SIGNCODE">
		</div>

		<div class="fr-btns-group fr-btns-group--inline-sm sign_step">
			<button class="fr-btn" type="button" onclick="SignAutoFinal()">Valider</button>
			<button class="fr-btn fr-btn--secondary" type="button" onclick="SignAutoBack('<?php echo $this->DOSINFO['did']; ?>')">Retour</button>
		</div>
	</form>

	<div class="fr-alert fr-alert--error" style="display: none" id="sign_div_err1">
		<h3 class="fr-alert__title">Erreur</h3>
		<p>Un problème est survenu lors du processus de signature, veuillez contacter le responsable de la plate-forme.</p>
	</div>
